> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ocpplab.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ocpplab.com/_mcp/server.

# List catalog brand models

GET https://host.com/ocpp/catalog/brands/{brand_slug}/models

Retrieve charger model details for a specific brand slug.

Reference: https://docs.ocpplab.com/api-reference/ocpplab-gateway-api/core-resources/catalog/list-models

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: OCPPLab SDK
  version: 1.0.0
paths:
  /ocpp/catalog/brands/{brand_slug}/models:
    get:
      operationId: list-models
      summary: List catalog brand models
      description: Retrieve charger model details for a specific brand slug.
      tags:
        - subpackage_catalog
      parameters:
        - name: brand_slug
          in: path
          description: Brand slug (URL-safe identifier) used to scope model discovery.
          required: true
          schema:
            type: string
        - name: page
          in: query
          description: Page number for the paginated brand model list.
          required: false
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          description: Maximum number of models returned in one page.
          required: false
          schema:
            type: integer
            default: 50
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Models retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelListResponse'
        '401':
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
        '403':
          description: Insufficient permissions or missing required claims
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
        '404':
          description: Brand not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    ModelResponse:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        name:
          type: string
        brand_slug:
          type:
            - string
            - 'null'
        brand_id:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        connector_count:
          type:
            - integer
            - 'null'
        current_type:
          type:
            - string
            - 'null'
        supported_kwh:
          type:
            - array
            - 'null'
          items:
            type: number
            format: double
        connector_types:
          type:
            - array
            - 'null'
          items:
            type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - slug
        - name
      description: Model catalog entry exposed by the API.
      title: ModelResponse
    ModelListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ModelResponse'
        total:
          type: integer
        page:
          type: integer
        limit:
          type: integer
      required:
        - data
        - total
        - page
        - limit
      description: Paginated response containing charger models.
      title: ModelListResponse
    HttpErrorResponse:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message returned by the API.
      required:
        - detail
      description: Standard HTTP error payload returned by the API.
      title: HttpErrorResponse
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationErrorCtx:
      type: object
      properties: {}
      title: ValidationErrorCtx
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          $ref: '#/components/schemas/ValidationErrorCtx'
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## Examples



**Response**

```json
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "slug": "wallbox-pulsar-plus",
      "name": "Pulsar Plus",
      "brand_slug": "wallbox",
      "brand_id": "550e8400-e29b-41d4-a716-446655440001",
      "image_url": "https://example.com/pulsar-plus.png",
      "connector_count": 1,
      "current_type": "ac",
      "supported_kwh": [
        7.4,
        22
      ],
      "connector_types": [
        "Type2"
      ],
      "created_at": "2026-03-01T09:00:00Z"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440003",
      "slug": "wallbox-supernova",
      "name": "Supernova",
      "brand_slug": "wallbox",
      "brand_id": "550e8400-e29b-41d4-a716-446655440001",
      "image_url": "https://example.com/supernova.png",
      "connector_count": 2,
      "current_type": "dc",
      "supported_kwh": [
        60,
        150
      ],
      "connector_types": [
        "CCS2"
      ],
      "created_at": "2026-03-02T09:00:00Z"
    }
  ],
  "total": 5,
  "page": 1,
  "limit": 50
}
```

**SDK Code**

```python A paginated list of Wallbox model details
import requests

url = "https://host.com/ocpp/catalog/brands/wallbox/models"

querystring = {"page":"1","limit":"50"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript A paginated list of Wallbox model details
const url = 'https://host.com/ocpp/catalog/brands/wallbox/models?page=1&limit=50';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go A paginated list of Wallbox model details
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/ocpp/catalog/brands/wallbox/models?page=1&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby A paginated list of Wallbox model details
require 'uri'
require 'net/http'

url = URI("https://host.com/ocpp/catalog/brands/wallbox/models?page=1&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java A paginated list of Wallbox model details
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://host.com/ocpp/catalog/brands/wallbox/models?page=1&limit=50")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php A paginated list of Wallbox model details
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://host.com/ocpp/catalog/brands/wallbox/models?page=1&limit=50', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp A paginated list of Wallbox model details
using RestSharp;

var client = new RestClient("https://host.com/ocpp/catalog/brands/wallbox/models?page=1&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift A paginated list of Wallbox model details
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/ocpp/catalog/brands/wallbox/models?page=1&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```